package projectzombie.menu.gui;

import gl_engine.vec.Vec2d;
import gl_engine.vec.Vec3d;
import gl_engine.vec.Vec4d;

public class GUIOverlay implements GUIComponent
{
	Vec4d color = new Vec4d(0, 0, 0, 0);
	
	public void setColor(Vec3d color) {
		this.color = new Vec4d(color.x, color.y, color.z, this.color.m);
	}
	
	public void setColor(Vec4d color) {
		this.color = color;
	}
	
	@Override
	public void render(Vec2d mousePos) {
	}

	@Override
	public boolean checkMouseHover(Vec2d pos) {
		return false;
	}

	@Override
	public void onMouseClick(Vec2d pos) {
	}
	
	@Override
	public void onBack() {
	}

	@Override
	public void onActivate() {
	}
	
	@Override
	public void update(Vec2d mousePos) {
	}
	
	@Override
	public void onRightClick(Vec2d pos) {
	}

}
